Subject: [6tisch] for the Plugtest: New Version Notification for draft-ietf-6lo-routing-dispatch-04.txt

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Sat, 23 Jan 2016 12:18:09 +0000

Dear all:

I uploaded the changes made after the discussions on the 6lo ML and conformed at the interim Friday.

There are 2 discussions left open, for a better compression of the RH when the boundary is not a power of 2 (Simon) and whether we should refrain from consuming the addresses of the RH as we go (Simon and Anand). For both, there is an active ticket at 6lo:

#14: More optimal compression of 6LoRH

#11: RH3 6LoRH not recoverable

For the plugtest, though, I suggest we live with what we have, draft-ietf-6lo-routing-dispatch-04.txt and draft-ietf-6lo-paging-dispatch-01.txt.

Note: With this spec an example of  Downward Packet In Non-Storing Mode will be:

+-+-+-+-+-+-+- ... +-+-+- ... -+-+-- ... -+-+- ... -+-+-+-+-+ ... +-...

|11110001 |RH3-6LoRH | RPI-6LoRH | IP-in-IP | NH=1 |11110CPP| UDP | UDP

|Page 1   |Type1 S=2 |           |  6LoRH   | IPHC | UDP    | hdr |load

+-+-+-+-+-+-+- ... +-+-+- ... -+-+-- ... -+-+- ... -+-+-+-+-+ ... +-...

            <-8bytes->                         <-  RFC 6282      ->

                                                No RPL artifact

              Figure 20: Example Compressed Packet with RH3.

Are we OK?

Pascal

-----Original Message-----

From: [email-masked] [mailto:[email-masked]]

Sent: samedi 23 janvier 2016 13:07

To: Robert Cragie <[email-masked]>; Pascal Thubert (pthubert) <[email-masked]>; Dr. Carsten Bormann <[email-masked]>; Laurent Toutain <[email-masked]>; Carsten Bormann <[email-masked]>; Laurent Toutain <[email-masked]>

Subject: New Version Notification for draft-ietf-6lo-routing-dispatch-04.txt

A new version of I-D, draft-ietf-6lo-routing-dispatch-04.txt

has been successfully submitted by Pascal Thubert and posted to the IETF repository.

Name:                  draft-ietf-6lo-routing-dispatch

Revision:              04

Title:                     6LoWPAN Routing Header

Document date: 2016-01-23

Group:                  6lo

Pages:                  31

URL:            https://www.ietf.org/internet-drafts/draft-ietf-6lo-routing-dispatch-04.txt

Status:         https://datatracker.ietf.org/doc/draft-ietf-6lo-routing-dispatch/

Htmlized:       https://tools.ietf.org/html/draft-ietf-6lo-routing-dispatch-04

Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-6lo-routing-dispatch-04

Abstract:

   This specification introduces a new 6LoWPAN dispatch type for use in

   6LoWPAN Route-Over topologies, that initially covers the needs of RPL

   (RFC6550) data packets compression.  Using this dispatch type, this

   specification defines a method to compress RPL Option (RFC6553)

   information and Routing Header type 3 (RFC6554), an efficient IP-in-

   IP technique and is extensible for more applications.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Simon Duquennoy <[email-masked]>
Date: Sun, 24 Jan 2016 17:37:56 +0100

Thanks Pascal for opening the issues, and I agree we stick to the
current draft for the plugtest.
/Simon

On Sat, Jan 23, 2016 at 1:18 PM, Pascal Thubert (pthubert)
<[email-masked]> wrote:
> There are 2 discussions left open, for a better compression of the RH when
> the boundary is not a power of 2 (Simon) and whether we should refrain from
> consuming the addresses of the RH as we go (Simon and Anand). For both,
> there is an active ticket at 6lo:
>
>
>
> For the plugtest, though, I suggest we live with what we have,
> draft-ietf-6lo-routing-dispatch-04.txt and
> draft-ietf-6lo-paging-dispatch-01.txt.
>
>
>
> To: Robert Cragie <[email-masked]>; Pascal Thubert (pthubert)
> <[email-masked]>; Dr. Carsten Bormann <[email-masked]>; Laurent Toutain
> <[email-masked]>; Carsten Bormann <[email-masked]>;
> Laurent Toutain <[email-masked]>
>
> URL:
> https://www.ietf.org/internet-drafts/draft-ietf-6lo-routing-dispatch-04.txt
>
> Status:
> https://datatracker.ietf.org/doc/draft-ietf-6lo-routing-dispatch/
>
> Htmlized:
> https://tools.ietf.org/html/draft-ietf-6lo-routing-dispatch-04
>
> Diff:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-6lo-routing-dispatch-04
>
>
>
> Abstract:
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
>
>
> The IETF Secretariat
>
>
>
>
> _______________________________________________
> 6tisch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6tisch
>

---

From: "S.V.R.Anand" <[email-masked]>
Date: Sun, 24 Jan 2016 22:26:59 +0530

Hi Pascal,

Thanks a lot for keeping the discussion topics open. I am absolutely 
fine with your
suggestion of having the draft as it is for the plugtest.

Anand

On Saturday 23 January 2016 05:48 PM, Pascal Thubert (pthubert) wrote:
>  > Dear all: > > > > I uploaded the changes made after the discussions 
on the 6lo ML and conformed at the interim Friday. > > There are 2 
discussions left open, for a better compression of the RH when the 
boundary is not a power of 2 (Simon) and whether we should refrain from 
consuming the addresses of the RH as we go (Simon and Anand). For both, 
there is an active ticket at 6lo: > > > > #14: More optimal compression 
of 6LoRH > > #11: RH3 6LoRH not recoverable > > > > For the plugtest, 
though, I suggest we live with what we have, 
draft-ietf-6lo-routing-dispatch-04.txt and 
draft-ietf-6lo-paging-dispatch-01.txt. > > > > Note: With this spec an 
example of  Downward Packet In Non-Storing Mode will be: > > > > 
+-+-+-+-+-+-+- ... +-+-+- ... -+-+-- ... -+-+- ... -+-+-+-+-+ ... +-... 
 > > |11110001 |RH3-6LoRH | RPI-6LoRH | IP-in-IP | NH=1 |11110CPP| UDP | 
UDP > > |Page 1   |Type1 S=2 |           |  6LoRH   | IPHC | UDP    | 
hdr |load > > +-+-+-+-+-+-+- ... +-+-+- ... -+-+-- ... -+-+- ... 
-+-+-+-+-+ ... +-... > >             <-8bytes->                         
<-  RFC 6282      -> > >                                                 
No RPL artifact > > > >               Figure 20: Example Compressed 
Packet with RH3. > > > > Are we OK? > > > > Pascal > > > > -----Original 
Message----- > > From: [email-masked] 
[mailto:[email-masked]] > > Sent: samedi 23 janvier 2016 13:07 
 > > To: Robert Cragie <[email-masked]>; Pascal Thubert 
(pthubert) <[email-masked]>; Dr. Carsten Bormann <[email-masked]>; 
Laurent Toutain <[email-masked]>; Carsten Bormann 
<[email-masked]>; Laurent Toutain <[email-masked]> > 
 > Subject: New Version Notification for 
draft-ietf-6lo-routing-dispatch-04.txt > > > > > > A new version of I-D, 
draft-ietf-6lo-routing-dispatch-04.txt > > has been successfully 
submitted by Pascal Thubert and posted to the IETF repository. > > > > 
Name:                  draft-ietf-6lo-routing-dispatch > > 
Revision:              04 > > Title:                     6LoWPAN Routing 
Header > > Document date: 2016-01-23 > > Group:                  6lo > > 
Pages:                  31 > > URL:            
https://www.ietf.org/internet-drafts/draft-ietf-6lo-routing-dispatch-04.txt 
 > > Status:         
https://datatracker.ietf.org/doc/draft-ietf-6lo-routing-dispatch/ > > 
Htmlized:       
https://tools.ietf.org/html/draft-ietf-6lo-routing-dispatch-04 > > 
Diff:           
https://www.ietf.org/rfcdiff?url2=draft-ietf-6lo-routing-dispatch-04 > > 
 > > Abstract: > >    This specification introduces a new 6LoWPAN 
dispatch type for use in > >    6LoWPAN Route-Over topologies, that 
initially covers the needs of RPL > >    (RFC6550) data packets 
compression.  Using this dispatch type, this > >    specification 
defines a method to compress RPL Option (RFC6553) > >    information and 
Routing Header type 3 (RFC6554), an efficient IP-in- > >    IP technique 
and is extensible for more applications. > > > > > > > > > > Please note 
that it may take a couple of minutes from the time of submission until 
the htmlized version and diff are available at tools.ietf.org. > > > > 
The IETF Secretariat > > > > -- > This message has been scanned for 
viruses and > dangerous content by MailScanner, and is > believed to be 
clean. > > _______________________________________________ > 6tisch 
mailing list > [email-masked] > 
https://www.ietf.org/mailman/listinfo/6tisch

---

From: Xavier Vilajosana <[email-masked]>
Date: Sun, 24 Jan 2016 17:59:43 +0100

Same here. Let's keep current approach for the PT.

regards,
Xavi

2016-01-24 17:56 GMT+01:00 S.V.R.Anand <[email-masked]>:

> Hi Pascal,
>
> Thanks a lot for keeping the discussion topics open. I am absolutely fine
> with your
> discussions left open, for a better compression of the RH when the boundary
> is not a power of 2 (Simon) and whether we should refrain from consuming
> the addresses of the RH as we go (Simon and Anand). For both, there is an
> active ticket at 6lo: > >  > > #14: More optimal compression of 6LoRH > >
> #11: RH3 6LoRH not recoverable > >  > > For the plugtest, though, I suggest
> we live with what we have, draft-ietf-6lo-routing-dispatch-04.txt and
> +-+-+-+-+-+-+- ... +-+-+- ... -+-+-- ... -+-+- ... -+-+-+-+-+ ... +-... > >
> |11110001 |RH3-6LoRH | RPI-6LoRH | IP-in-IP | NH=1 |11110CPP| UDP | UDP > >
> |Page 1   |Type1 S=2 |           |  6LoRH   | IPHC | UDP    | hdr |load > >
> +-+-+-+-+-+-+- ... +-+-+- ... -+-+-- ... -+-+- ... -+-+-+-+-+ ... +-... >
> >             <-8bytes->                         <-  RFC 6282      -> >
> >                                                 No RPL artifact > >  >
> >               Figure 20: Example Compressed Packet with RH3. > >  > > Are
> we OK? > >  > > Pascal > >  > > -----Original Message----- > > From:
> [email-masked] [mailto:[email-masked]
> <[email-masked]>] > > Sent: samedi 23 janvier 2016 13:07 > >
> To: Robert Cragie <[email-masked]>
> <[email-masked]>; Pascal Thubert (pthubert)
> <[email-masked]> <[email-masked]>; Dr. Carsten Bormann
> <[email-masked]> <[email-masked]>; Laurent Toutain
> <[email-masked]>
> <[email-masked]>; Carsten Bormann <[email-masked]>
> <[email-masked]>; Laurent Toutain <[email-masked]>
> <[email-masked]> > > Subject: New Version
> Notification for draft-ietf-6lo-routing-dispatch-04.txt > >  > >  > > A new
> version of I-D, draft-ietf-6lo-routing-dispatch-04.txt > > has been
> successfully submitted by Pascal Thubert and posted to the IETF repository.
> > > Abstract: > >    This specification introduces a new 6LoWPAN dispatch
> type for use in > >    6LoWPAN Route-Over topologies, that initially covers
> the needs of RPL > >    (RFC6550) data packets compression.  Using this
> dispatch type, this > >    specification defines a method to compress RPL
> Option (RFC6553) > >    information and Routing Header type 3 (RFC6554), an
> efficient IP-in- > >    IP technique and is extensible for more
> applications. > >  >
> >
> > >  > >  > > Please note that it may take a couple of minutes from the
> time of submission until the htmlized version and diff are available at
> tools.ietf.org. > >  > > The IETF Secretariat > >  > > -- > This message
> has been scanned for viruses and > dangerous content by MailScanner, and is
> > believed to be clean. > > _______________________________________________
> > 6tisch mailing list > [email-masked] >

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Sun, 24 Jan 2016 19:41:48 +0000

I opened 4, Simon : ) But I consider 2 of them solved. Please let me know If you think differently...

Cheers,

Pascal

> From: [email-masked] [mailto:[email-masked]]
> On Behalf Of Simon Duquennoy
> Sent: dimanche 24 janvier 2016 17:38
> To: Pascal Thubert (pthubert) <[email-masked]>
> Cc: [email-masked]
> Subject: Re: [6tisch] for the Plugtest: New Version Notification for draft-ietf-
> 6lo-routing-dispatch-04.txt
> 
> Thanks Pascal for opening the issues, and I agree we stick to the current
> draft for the plugtest.
> /Simon
> 
> 
> > There are 2 discussions left open, for a better compression of the RH
> > when the boundary is not a power of 2 (Simon) and whether we should
> > refrain from consuming the addresses of the RH as we go (Simon and
> > Anand). For both, there is an active ticket at 6lo:
> >
> >
> >
> > Note: With this spec an example of  Downward Packet In Non-Storing
> > Mode will
> > be:
> >
> >
> >
> > |UDP
> > draft-ietf-6lo-routing-dispatch-04.txt
> >
> >
> >
> >
> >
> > Please note that it may take a couple of minutes from the time of
> > submission until the htmlized version and diff are available at
> tools.ietf.org.
> >
> >
> >
> > The IETF Secretariat
> >
> >
> >
> >